DomainMOD 4.11.01 - Cross-Site Scripting Vulnerability

2018-12-12
ID: 100496
CVE: None
Download vulnerable application: None
# Exploit Title: DomainMOD 4.11.01 - Cross-Site Scripting
# Exploit Author: Mohammed Abdul Raheem
# Vendor Homepage: domainmod (https://domainmod.org/)
# Software Link: domainmod (https://github.com/DomainMod/DomainMod)
# Version: v4.09.03 to v4.11.01
# CVE : CVE-2018-19913
  # A Stored Cross-site scripting (XSS) was discovered in DomainMod application versions from v4.09.03 to v4.11.01
After logging into the Domainmod application panel, browse to the /assets/add/registrar-accounts.php page and inject a javascript XSS
payload in UserName, Reseller ID & Notes fields 
"><img src=x onerror=alert("Xss-By-Abdul-Raheem")>
 #POC : attached here https://github.com/domainmod/domainmod/issues/86
1-4-2 (www02)